<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.micord.ervu</groupId>
    <artifactId>business-metrics</artifactId>
    <version>1.11.0</version>
  </parent>
  <groupId>ru.micord.ervu.business-metrics</groupId>
  <artifactId>backend</artifactId>
  <packaging>war</packaging>
  <dependencies>
    <dependency>
      <groupId>io.jsonwebtoken</groupId>
      <artifactId>jjwt-api</artifactId>
    </dependency>
    <dependency>
      <groupId>io.jsonwebtoken</groupId>
      <artifactId>jjwt-impl</artifactId>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>io.jsonwebtoken</groupId>
      <artifactId>jjwt-jackson</artifactId>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>ru.micord.ervu.business-metrics</groupId>
      <artifactId>resources</artifactId>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.jooq</groupId>
      <artifactId>jooq</artifactId>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>javax.servlet-api</artifactId>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-jdbc</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-tx</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aspects</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-web</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-webmvc</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-web</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.security</groupId>
      <artifactId>spring-security-config</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules</groupId>
      <artifactId>inject</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules</groupId>
      <artifactId>webkit-rpc</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules</groupId>
      <artifactId>webkit-beans</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.core</groupId>
      <artifactId>core-runtime-api</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.resources</groupId>
      <artifactId>resources-api</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.core</groupId>
      <artifactId>error-handling-api</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.database</groupId>
      <artifactId>database-api</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.database</groupId>
      <artifactId>database-impl</artifactId>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>javax.annotation</groupId>
      <artifactId>javax.annotation-api</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.jndi</groupId>
      <artifactId>jndi-beans</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.jndi</groupId>
      <artifactId>jndi-inject</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules</groupId>
      <artifactId>standard-annotations</artifactId>
    </dependency>
    <dependency>
      <groupId>org.liquibase</groupId>
      <artifactId>liquibase-core</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules</groupId>
      <artifactId>webkit-base</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.packages.base</groupId>
      <artifactId>backend</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-slf4j2-impl</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-core</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-jul</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-web</artifactId>
    </dependency>
    <dependency>
      <groupId>org.postgresql</groupId>
      <artifactId>postgresql</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.kafka</groupId>
      <artifactId>spring-kafka</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.kafka</groupId>
      <artifactId>kafka-clients</artifactId>
    </dependency>
  </dependencies>
  <build>
    <finalName>${project.parent.artifactId}</finalName>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <useIncrementalCompilation>false</useIncrementalCompilation>
          <forceJavacCompilerUse>true</forceJavacCompilerUse>
          <release>17</release>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>build-helper-maven-plugin</artifactId>
        <version>3.2.0</version>
        <executions>
          <execution>
            <id>add-source</id>
            <phase>generate-sources</phase>
            <goals>
              <goal>add-source</goal>
            </goals>
            <configuration>
              <sources>
                <source>${project.basedir}/target/generated-sources/java</source>
              </sources>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <profiles>
    <profile>
      <id>studio</id>
      <dependencies>
        <dependency>
          <groupId>ru.cg.webbpm.modules.resources</groupId>
          <artifactId>resources-impl-development</artifactId>
        </dependency>
      </dependencies>
    </profile>
    <profile>
      <id>dev</id>
      <dependencies>
        <dependency>
          <groupId>org.postgresql</groupId>
          <artifactId>postgresql</artifactId>
        </dependency>
      </dependencies>
    </profile>
  </profiles>
</project>
